package net.cobem.grizzly.habbohotel.rooms.items.interactions.wired.triggers;

import net.cobem.grizzly.communication.composers.wired.SendWiredTriggerDialogComposer;
import net.cobem.grizzly.habbohotel.rooms.items.FloorItem;
import net.cobem.grizzly.habbohotel.rooms.items.interactions.Interaction;
import net.cobem.grizzly.habbohotel.sessions.Session;

import java.util.ArrayList;

public class WiredUserSaysKeyWordInteraction implements Interaction {
    @Override
    public void onPlace(Session Session, Object Item) {
    }

    @Override
    public void onRemove(Session Session, Object Item) {
    }

    @Override
    public void onTrigger(Session Session, Object Item, int Request) {
        if (Request == 2) {

        } else {
            FloorItem RoomItem = (FloorItem) Item;

            Session.sendResponse(SendWiredTriggerDialogComposer.compose(0, RoomItem, new ArrayList<FloorItem>(), RoomItem.ExtraData, 0, 0, 0, 0, 0));
        }
    }

    @Override
    public void onCycle(Object Item) {
    }
}
